%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
%global pypi_name os-service-types
%global module_name os_service_types

# Needed for train bootstrap
%global repo_bootstrap 1

%global with_doc 1

Name:           python-%{pypi_name}
Version:        1.7.0
Release:        %mkrel 4
Summary:        Python library for consuming OpenStack sevice-types-authority data
Group:          Development/Python
License:        ASL 2.0
URL:            http://www.openstack.org/
Source0:        https://tarballs.openstack.org/%{pypi_name}/%{pypi_name}-%{upstream_version}.tar.gz
BuildArch:      noarch
BuildRequires:  git

%description
OsServiceTypes is a Python library for consuming OpenStack sevice-types-authority data
The OpenStack Service Types Authority contains information about official
OpenStack services and their historical service-type aliases.
The data is in JSON and the latest data should always be used. This simple
library exists to allow for easy consumption of the data, along with a built-in
version of the data to use in case network access is for some reason not possible
and local caching of the fetched data.

%package -n     python3-%{pypi_name}
Summary:        Python3 library for consuming OpenStack sevice-types-authority data
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

BuildRequires:  python3-devel
BuildRequires:  python3-pbr
BuildRequires:  python3-subunit
BuildRequires:  python3-testscenarios
BuildRequires:  python3-setuptools
BuildRequires:  python3-requests-mock

%if 0%{?repo_bootstrap} == 0
BuildRequires:  python3-keystoneauth1
BuildRequires:  python3dist(oslotest)
%endif

Requires:       python3-pbr >= 2.0.0

%description -n python3-%{pypi_name}
OsServiceTypes is a Python library for consuming OpenStack sevice-types-authority data
The OpenStack Service Types Authority contains information about official
OpenStack services and their historical service-type aliases.
The data is in JSON and the latest data should always be used. This simple
library exists to allow for easy consumption of the data, along with a built-in
version of the data to use in case network access is for some reason not possible
and local caching of the fetched data.

%if 0%{?with_doc}
%package -n python-%{pypi_name}-doc
Summary:        %{pypi_name} documentation
Group:          Documentation
BuildRequires:  python3-openstackdocstheme
BuildRequires:  python3-sphinx

%description -n python-%{pypi_name}-doc
Documentation for %{pypi_name}
%endif

%prep
%autosetup -n %{pypi_name}-%{upstream_version} -S git

# Let RPM handle the dependencies
rm -rf {test-,}requirements.txt
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%if 0%{?with_doc}
# generate html docs
%{__python3} setup.py build_sphinx -b html
# remove the sphinx-build-%{pyver} leftovers
rm -rf doc/build/html/.{doctrees,buildinfo}
%endif

%install
%py3_install

%check
%if 0%{?repo_bootstrap} == 0
%{__python3} setup.py test
%endif

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst doc/source/readme.rst
%{python3_sitelib}/%{module_name}
%{python3_sitelib}/%{module_name}-%{upstream_version}-py%{python3_version}.egg-info

%if 0%{?with_doc}
%files -n python-%{pypi_name}-doc
%license LICENSE
%doc doc/build/html
%endif


%changelog
* Tue Apr 05 2022 umeabot <umeabot> 1.7.0-4.mga9
+ Revision: 1845395
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 1.7.0-3.mga9
+ Revision: 1783452
- rebuild for python-3.10

* Sun Mar 21 2021 daviddavid <daviddavid> 1.7.0-2.mga9
+ Revision: 1706921
- rebuild for python 3.9

* Fri Jan 08 2021 daviddavid <daviddavid> 1.7.0-1.mga8
+ Revision: 1669746
- initial package python-os-service-types (needed for python-openstacksdk)

